View Issue Details

IDProjectCategoryView StatusLast Update
0013246mantisbtauthenticationpublic2012-11-01 07:45
Reporterj_schultzAssigned Todregad 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionno change required 
Product Version1.2.6 
Target VersionFixed in Version 
Summary0013246: APPLICATION ERROR #2800 when submitting notes
Description

I have seen similar reports but I think none of them where covering exactly my problem. Whenenver I (or someone else, for that matter) tries to submit a note to an issue, they receive APPLICATION ERROR #2800 in most cases. It took me quite some time to write the note for the first time, maybe 15 minutes, and after I retyped it in maybe 1-2 minutes the second time, I got the error again. That time, I copied the text and pasted it again right after the error appeared, so in that case I could manage to submit the note.

My main concern here is that, when using the "back" button in the browser, the form field is cleared, so if someone has written a somewhat lengthy note, they will have to re-type everything if they are not aware of the problem and use copypaste to circumvent it. The error message says that one should go back and fix all mistakes, but that is impossible when the form field is cleared.

Additional Information

php: Using memcached sessions, session.gc_maxlifetime = 1440
mantis: enabling $g_session_validation = OFF; didn't help.

TagsNo tags attached.

Relationships

related to 0012492 closedatrol Complete input get lost when timeout or not filling all required fields (when using ssl/https) 
related to 0012381 closeddregad APPLICATION ERROR #2800 

Activities

j_schultz

j_schultz

2011-08-18 08:52

reporter   ~0029510

I'd also like to add that the problem didn't seem to appear in previous versions, or at least not as frequently.

vincent_sels

vincent_sels

2012-01-31 07:53

reporter   ~0031091

My collegue who uses IE9 reports the same problem.
I never have any of these problems in Chrome: I can still use the back button without losing the contents of the original form, and I never seem to get that message when typing notes.

dregad

dregad

2012-10-19 05:20

developer   ~0033274

Regarding the error 2800, the problem is most likely caused by php session settings.

As the bug view page tends to remain open for a while before user eventually decides to type a note, by the time they click submit the session has expired. If the garbage collector has removed the session data, then the http form's security token (CSRF protection) is no longer valid.

You should increase session.gc_maxlifetime as appropriate (in the office I have it set to 8 hrs, so it's valid for a normal work day).

The issue with form data getting lost when hitting the back button is a different topic altogether (see 0012492 and others) for which there is currently no solution.

j_schultz

j_schultz

2012-10-19 09:26

reporter   ~0033280

As indicated above, the session lifetime is set to 24 minutes here, I've had the problem with bug report pages that were open for a shorter time, though. There is so much other software out there which doesn't have this problem, by either logging the user in again, or by displaying the submission form again, but with the previous data being filled in again. I hope the latter can be implemented into Mantis at some point to make the whole bug entering process less tedious and annoying.

dregad

dregad

2012-10-19 10:48

developer   ~0033282

I agree with you that this is a serious issue that needs fixing.

It is being tracked in 0012492 and other related issues, and I'm sure will be resolved at some point.

Issue History

Date Modified Username Field Change
2011-08-18 08:48 j_schultz New Issue
2011-08-18 08:52 j_schultz Note Added: 0029510
2012-01-31 07:53 vincent_sels Note Added: 0031091
2012-01-31 09:04 dregad Relationship added related to 0012492
2012-10-19 05:20 dregad Note Added: 0033274
2012-10-19 05:20 dregad Status new => resolved
2012-10-19 05:20 dregad Resolution open => no change required
2012-10-19 05:20 dregad Assigned To => dregad
2012-10-19 05:21 dregad Relationship added related to 0012381
2012-10-19 09:26 j_schultz Note Added: 0033280
2012-10-19 10:48 dregad Note Added: 0033282
2012-11-01 07:45 atrol Status resolved => closed